{$APPTYPE CONSOLE}

program GeneratingXML2;

uses
  xml_generator;

const
  _8KB = 8 * 1024;
  
const
  Attribute1 = '1';
  Attribute2 = '2">';
  Data1 = '1';
  Data2 = '2<error>';
  
var
  g: TXMLGenerator;
  
begin
  g := TXMLGenerator.Create(_8KB);
  try
    g.StartTag('root');
    
      g.StartTag('a');
        g.SetAttribute('aa', Attribute1);
        g.SetAttribute('ab', Attribute2);
      g.StopTag;
      
      g.StartTag('b');
        g.AddData(Data1);
      g.StopTag;
        
      g.StartTag('b');
        g.AddData(Data2);
      g.StopTag;
        
    g.StopTag;
    
  {$IFDEF VER130}
    write (g.AsLatin1);
  {$ELSE}  
    write (g.AsString);
  {$ENDIF}
        
  finally
    g.Free;
  end;
end.