{$APPTYPE CONSOLE}

program GeneratingXML3;

uses
  Classes,
  xml_generator in 'xml_generator.pas',
  utf_util in 'utf_util.pas';

const
  _1KB = 1 * 1024;
  
var
  g: TXMLGenerator;
  f: TFileStream;
  xml: WideString;
begin
  g := TXMLGenerator.CreateFragment(_1KB);
  try
    g.AddTag('f', UTF8Decode(#$c3#$a9'cole'));
    f := TFileStream.Create('test.xml', fmCreate);
    try
      f.Write(LittleEndianByteOrderMark, 2);
      xml := g.AsString;
      f.Write(xml[1], length(xml)*SizeOf(WideChar));
    finally
      f.Free;
    end;
  finally
    g.Free;
  end;
end.